// --- GFish : Einfache Swing-Anwendung ----------------
//             unter Nutzung von ftcomputing.robo.jar (Referenzed Libraries) ----
package gFish;
import java.awt.*;
import javax.swing.*;
import ftcomputing.robo.*;

public class MainFish {
	JFrame frmMain    = new JFrame("Hello Ampel");
	JLabel lblStatus  = new JLabel("Kontrolle Interface", JLabel.CENTER);
	JLabel lblHinweis = new JLabel(" ", JLabel.CENTER);
    JavaFish ft       = new JavaFish();
    int iHandle;
    
	public MainFish() {
	    frmMain.setLayout(new GridLayout(0, 1, 12, 24));
		frmMain.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frmMain.setSize(300, 200);
		lblStatus.setForeground(Color.BLUE);
		frmMain.add(lblStatus);
		frmMain.add(lblHinweis);
		frmMain.setVisible(true);
	}
	
	public static void main(String[] args) {
	    MainFish mf = new MainFish();
	    mf.Action();
	}
	
	private void Action() {
	    iHandle = ft.jrOpenInterfaceUSB(0, 0);
	    if(iHandle != JavaFish.jrError) {
	      lblStatus.setText("Action : I1 drcken");
	      while(ft.jrGetInput(iHandle,1)==0) Thread.yield();
	      lblHinweis.setText("Ende : ESC-Taste oder I1");
	      int Runde = 0;
	      do {
	        lblStatus.setText("Runde : " + ++Runde);
	        Blinken(333);
	      } while((ft.jrGetInput(iHandle, 1) == 0) && (JavaFish.escape() == 0));
	      ft.jrSetMotors(iHandle, 0);
	      ft.jrCloseInterface(iHandle);
	    }
	    else lblStatus.setText("OpenInterface.Fehler");
	    lblHinweis.setText("FINITO, Ende : X");		
	}
	
	private void Blinken(int Dauer) {
	  try {
	        ft.jrSetLamp(iHandle, 1, 1);
	        Thread.sleep(Dauer);
	        ft.jrSetLamp(iHandle, 2, 1);
	        Thread.sleep(Dauer);
	        ft.jrSetLamp(iHandle, 3, 1);
	        Thread.sleep(Dauer);
	        ft.jrSetLamp(iHandle, 4, 1);
	        Thread.sleep(Dauer * 2);
		    ft.jrSetMotors(iHandle, 0);
		    Thread.sleep(Dauer);
	  } catch(InterruptedException e){}
	}
}
